/* áp dụng font Time New Roman cho toàn bộ trang */
*{
    font-family: 'Times New Roman', Times, serif;
    
}
/* Thiết lập background cho trang WEB */
body{
    background-color: rgb(243, 243, 243) !important;
}

/* Đổ bóng và thiết lập lề cho các container */

/* Thiết lập định dạng text cho tên của hàng */
.maintitle{
    font-size: 200%;
    text-align: center;
    color: orangered;
    font-weight: bold;
    padding-top: 15px;
    text-transform: capitalize;
    line-height: 0.8;
}
/* Thiết lập định dạng text cho thông tin mở rộng (địa chỉ, số điện thoại, thời gian làm việc...) */
.subtitle{
    font-style: italic;
    text-align: center;
    color: dodgerblue;
    font-size: 100%;
    line-height: 1.2;
    /* text-shadow: 0px -1px 0px black; */

}
/* Ảnh sẽ phóng lớn lên 105 lần khi được rê chuột vào khung sản phẩm */
.card:hover{
    width: 105%;

}
/* Thay đổi màu sắc icon chuyển ảnh tới */
/* .carousel-control-next-icon{
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' fill='%23000' viewBox='0 0 8 8'%3e%3cpath d='M2.75 0l-1.5 1.5 2.5 2.5-2.5 2.5 1.5 1.5 4-4-4-4z'/%3e%3c/svg%3e") !important;
} */
/* Thay đổi màu sắc icon chuyển ảnh lui */
/* .carousel-control-prev-icon{
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' fill='%23000' viewBox='0 0 8 8'%3e%3cpath d='M5.25 0l-4 4 4 4 1.5-1.5-2.5-2.5 2.5-2.5-1.5-1.5z'/%3e%3c/svg%3e") !important;
} */
/* Đặt cố định vị trí của thành phần header */
.namestore{
    position: relative;
}
/* Thiết lập vị trí và định dạng cho biểu tượng Shopping */
.shoppingcart{
    position: absolute;
    text-decoration: underline;
    bottom: 20px;
    right: 20px;
    padding: 5px 15px;
    border-radius: 10%;
    box-shadow: 2px -2px 8px black;
    color: white;
}
/* Đổ màu cho biểu tượng Shopping */
.shoppingcart a{
    color: whitesmoke;
}
/* Cố định màu và thay đổi font của biểu tượng Shopping */
.shoppingcart a:hover{
    color: whitesmoke;
    font-size: larger;
}
/* Thiết lập font chữ cho menu */
.navbar-brand,.navbar-light .navbar-nav .nav-link{
    color: white !important;
    font-family: Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
    font-size: 18px !important;
    padding: 15px !important;
}
/* Thiết lập lề cho container chung */
.col{
    padding: 2px !important;
    box-sizing: border-box !important;
}
/* Đổ bóng cho background */
.bg-dark{
    box-shadow: 5px 0px 0px black;
    /* border-bottom: 1px solid white; */
}
/* Ngăn thiết lập padding cho thanh menu */
.navbar{
    box-shadow: 4px 4px 8px black !important;
    margin-bottom: 5px !important;
    padding: 0rem 1rem !important ;
}

/* Thay đổi màu sắc chữ và background menu khi rê chuột vào từng danh mục*/
.navbar-light .navbar-nav .nav-link:hover{
    background-color: white;
    color: black !important;
}
/* Thay đổi vào sắc và background menu khi rê chuột vào chữ home */
.navbar-brand:hover{
    background-color: white;
    color: black !important;
}
/* Định dạng thanh mô tả thông tin bên trái */
.listleft{
    /* background-color: rgb(20, 189, 219); */
    background-color: #004CC6;
    color: white;
    width: 100%;
    padding: 5px 10px;
    font-size: 20px;
    box-sizing: border-box;
    margin: 2px 0px !important
}
/* Định dạng thanh mô tả thông tin bên phải */
.listright{
    /* background-color: rgb(20, 189, 219); */
    background-color: #004CC6;
    color: white;
    width: 100%;
    padding: 5px 10px;
    font-size: 20px;
    box-sizing: border-box;
    margin: 2px 15px 2px 15px !important;
}
/* Giảm khoảng cách giữa các dòng trong phần title */
.h4,h4{
    line-height: 0.2;
}
/* Đổ bóng cho từng khung sản phẩm */
.card{
    box-shadow: 3px 5px 5px darkgray;
    margin-bottom: 5px;
    padding: 0px;
}
/* Giảm khoảng cách giữa các dòng trong phần title */
.card-title{
    margin-bottom: 0px !important;
}
/* Phóng to giá khi rê chuột vào */
p.card-text:hover{
    font-size: 18px;
}
/* Giảm khoảng cách giữa các khung sản phẩm với nhau */
.card-body{
    padding: 2px !important;
}
/* Định dạnh cho biểu tượng mua sắm */
.detail {
    text-align: right;
    padding: 5px 15px;
}
/* Thay đổi màu nền khi rê chuột vào biểu tượng mua sắm */
.detail i:hover{
    background-color: green !important;
}
/* Thay đổi màu sắc thanh chọn ảnh  */
.carousel-indicators li
{
    background-color: blue !important;
}
/* Định dạng footer */
.footer{
    text-align: center;
    background-color: #343a40;
    color: whitesmoke;
    font-size: 18px;
    align-self: center;
    
}
/* Định dạng chữ bên trong footer */
.footer p{
    margin-bottom: 0px;
    padding: 10px;
}